﻿@model IEnumerable<FunXgame.Models.Imagen>
@{
    ViewBag.Title = "ListarImagen";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">
    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}


    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:white;background-color:black" href="~/Imagenes/ListarImagen">Listar imagenes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Imagenes/CrearImagen">Agregar Imagenes</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <!--SELECTOR FILTROS-->
                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Id_imagen" value="" placeholder="Id imagen" />
                    </div>
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Nombre_imagen" value="" placeholder="Nombre imagen" />
                    </div>
                    <div class="col-3">
                        @Html.DropDownList("grupoImagen", null, "Todos", htmlAttributes: new { @class = "form-control", id = "Grupo_imagen" })
                    </div>
                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaImagenes">
                    <!--AQUI PARA FUNCION LISTADO VISTA PARCIAL-->
                    <!--ESTO VA EN VISTA PARCIAL-->
                </div>
            </div>
        </div>
    </div>
</div>



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    
    <script>

        $(window).on("load", function () {
            cargaTablaImagenes();
             
         });

        $('#buscar').click(function () {
            cargaTablaImagenes();
            $(this).blur();
        });

        function cargaTablaImagenes() {
            let datos = '?id=' + $('#Id_imagen').val() + '&nombre=' + $('#Nombre_imagen').val() + '&grupo=' + $('#Grupo_imagen').val();
                $.get('@Url.Action("ListarImagenPartial")' + datos, function (lista) {
                    $('#tablaImagenes').html(lista);
                });
        }
        
        
    </script>
}